PHPExcel_DocumentSecurity

category | PHPExcel
package | PHPExcel
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Implement PHP __clone to create a deep clone, not just a shallow copy.

    __clone()

## Create a new PHPExcel_DocumentSecurity

    __construct()

## Get LockRevision

    getLockRevision() : boolean

### Returns

`boolean`

## Get LockStructure

    getLockStructure() : boolean

### Returns

`boolean`

## Get LockWindows

    getLockWindows() : boolean

### Returns

`boolean`

## Get RevisionsPassword (hashed)

    getRevisionsPassword() : string

### Returns

`string`

## Get WorkbookPassword (hashed)

    getWorkbookPassword() : string

### Returns

`string`

## Is some sort of dcument security enabled?

    isSecurityEnabled() : boolean

### Returns

`boolean`

## Set LockRevision

    setLockRevision(boolean $pValue) : \PHPExcel_DocumentSecurity

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_DocumentSecurity`

## Set LockStructure

    setLockStructure(boolean $pValue) : \PHPExcel_DocumentSecurity

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_DocumentSecurity`

## Set LockWindows

    setLockWindows(boolean $pValue) : \PHPExcel_DocumentSecurity

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_DocumentSecurity`

## Set RevisionsPassword

    setRevisionsPassword(string $pValue, boolean $pAlreadyHashed) : \PHPExcel_DocumentSecurity

### Parameters

#### $pValue

`string`

#### $pAlreadyHashed

`boolean`

If the password has already been hashed, set this to true

### Returns

`\PHPExcel_DocumentSecurity`

## Set WorkbookPassword

    setWorkbookPassword(string $pValue, boolean $pAlreadyHashed) : \PHPExcel_DocumentSecurity

### Parameters

#### $pValue

`string`

#### $pAlreadyHashed

`boolean`

If the password has already been hashed, set this to true

### Returns

`\PHPExcel_DocumentSecurity`

### Properties

##

    $_lockRevision : boolean

##

    $_lockStructure : boolean

##

    $_lockWindows : boolean

##

    $_revisionsPassword : string

##

    $_workbookPassword : string